Uses of Interface
org.apache.camel.builder.endpoint.dsl.BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder
Packages that use BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder
-
Uses of BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder in org.apache.camel.builder.endpoint.dsl
Subinterfaces of BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder in org.apache.camel.builder.endpoint.dslModifier and TypeInterfaceDescriptionstatic interfaceBuilder for endpoint for the Azure Storage Blob Service component.Methods in org.apache.camel.builder.endpoint.dsl that return BlobEndpointBuilderFactory.BlobEndpointConsumerBuilderModifier and TypeMethodDescriptionAccess key for the associated azure account name to be used for authentication with azure blob services.BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder.backoffErrorThreshold(int backoffErrorThreshold) The number of subsequent error polls (failed due some error) that should happen before the backoffMultipler should kick-in.BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder.backoffErrorThreshold(String backoffErrorThreshold) The number of subsequent error polls (failed due some error) that should happen before the backoffMultipler should kick-in.BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder.backoffIdleThreshold(int backoffIdleThreshold) The number of subsequent idle polls that should happen before the backoffMultipler should kick-in.BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder.backoffIdleThreshold(String backoffIdleThreshold) The number of subsequent idle polls that should happen before the backoffMultipler should kick-in.BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder.backoffMultiplier(int backoffMultiplier) To let the scheduled polling consumer backoff if there has been a number of subsequent idles/errors in a row.BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder.backoffMultiplier(String backoffMultiplier) To let the scheduled polling consumer backoff if there has been a number of subsequent idles/errors in a row.BlobEndpointBuilderFactory.AdvancedBlobEndpointConsumerBuilder.basic()The blob name, to consume specific blob from a container.BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder.blobOffset(long blobOffset) Set the blob offset for the upload or download operations, default is 0.BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder.blobOffset(String blobOffset) Set the blob offset for the upload or download operations, default is 0.BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder.blobServiceClient(com.azure.storage.blob.BlobServiceClient blobServiceClient) Client to a storage account.BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder.blobServiceClient(String blobServiceClient) Client to a storage account.The blob type in order to initiate the appropriate settings for each blob type.BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder.blobType(org.apache.camel.component.azure.storage.blob.BlobType blobType) The blob type in order to initiate the appropriate settings for each blob type.BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder.closeStreamAfterRead(boolean closeStreamAfterRead) Close the stream after read or keep it open, default is true.BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder.closeStreamAfterRead(String closeStreamAfterRead) Close the stream after read or keep it open, default is true.BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder.credentials(com.azure.storage.common.StorageSharedKeyCredential credentials) StorageSharedKeyCredential can be injected to create the azure client, this holds the important authentication information.BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder.credentials(String credentials) StorageSharedKeyCredential can be injected to create the azure client, this holds the important authentication information.BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder.credentialType(String credentialType) Determines the credential strategy to adopt.BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder.credentialType(org.apache.camel.component.azure.storage.blob.CredentialType credentialType) Determines the credential strategy to adopt.How many bytes to include in the range.How many bytes to include in the range.BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder.delay(long delay) Milliseconds before the next poll.Milliseconds before the next poll.The file directory where the downloaded blobs will be saved to, this can be used in both, producer and consumer.BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder.greedy(boolean greedy) If greedy is enabled, then the ScheduledPollConsumer will run immediately again, if the previous run polled 1 or more messages.If greedy is enabled, then the ScheduledPollConsumer will run immediately again, if the previous run polled 1 or more messages.BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder.initialDelay(long initialDelay) Milliseconds before the first poll starts.BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder.initialDelay(String initialDelay) Milliseconds before the first poll starts.BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder.maxResultsPerPage(Integer maxResultsPerPage) Specifies the maximum number of blobs to return, including all BlobPrefix elements.BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder.maxResultsPerPage(String maxResultsPerPage) Specifies the maximum number of blobs to return, including all BlobPrefix elements.BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder.maxRetryRequests(int maxRetryRequests) Specifies the maximum number of additional HTTP Get requests that will be made while reading the data from a response body.BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder.maxRetryRequests(String maxRetryRequests) Specifies the maximum number of additional HTTP Get requests that will be made while reading the data from a response body.Filters the results to return only blobs whose names begin with the specified prefix.Filters the results to return only blobs whose names match the specified regular expression.BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder.repeatCount(long repeatCount) Specifies a maximum limit of number of fires.BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder.repeatCount(String repeatCount) Specifies a maximum limit of number of fires.BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder.runLoggingLevel(String runLoggingLevel) The consumer logs a start/complete log line when it polls.BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder.runLoggingLevel(org.apache.camel.LoggingLevel runLoggingLevel) The consumer logs a start/complete log line when it polls.In case of usage of Shared Access Signature we'll need to set a SAS Token.BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder.scheduledExecutorService(String scheduledExecutorService) Allows for configuring a custom/shared thread pool to use for the consumer.BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder.scheduledExecutorService(ScheduledExecutorService scheduledExecutorService) Allows for configuring a custom/shared thread pool to use for the consumer.To use a cron scheduler from either camel-spring or camel-quartz component.To use a cron scheduler from either camel-spring or camel-quartz component.BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder.schedulerProperties(String key, Object value) To configure additional properties when using a custom scheduler or any of the Quartz, Spring based scheduler.BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder.schedulerProperties(Map values) To configure additional properties when using a custom scheduler or any of the Quartz, Spring based scheduler.BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder.sendEmptyMessageWhenIdle(boolean sendEmptyMessageWhenIdle) If the polling consumer did not poll any files, you can enable this option to send an empty message (no body) instead.BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder.sendEmptyMessageWhenIdle(String sendEmptyMessageWhenIdle) If the polling consumer did not poll any files, you can enable this option to send an empty message (no body) instead.BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder.serviceClient(com.azure.storage.blob.BlobServiceClient serviceClient) Client to a storage account.BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder.serviceClient(String serviceClient) Client to a storage account.BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder.sourceBlobAccessKey(String sourceBlobAccessKey) Source Blob Access Key: for copyblob operation, sadly, we need to have an accessKey for the source blob we want to copy Passing an accessKey as header, it's unsafe so we could set as key.BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder.startScheduler(boolean startScheduler) Whether the scheduler should be auto started.BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder.startScheduler(String startScheduler) Whether the scheduler should be auto started.An optional timeout value beyond which a RuntimeException will be raised.An optional timeout value beyond which a RuntimeException will be raised.Time unit for initialDelay and delay options.Time unit for initialDelay and delay options.BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder.useFixedDelay(boolean useFixedDelay) Controls if fixed delay or fixed rate is used.BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder.useFixedDelay(String useFixedDelay) Controls if fixed delay or fixed rate is used.